#!/bin/bash

[ "$1" = "" ] || [ ! "$2" = "" ] && echo "usage: $0 class" && exit 1
FICHIERSOL="$HOME/.macromedia/Flash_Player/macromedia.com/support/flashplayer/sys/settings.sol"
RACINESOL="settings"
REPRACINE="trustedPaths"
PATHSOL="${RACINESOL}_${REPRACINE}"
REPDEST="/usr/share/mathenpoche/"

OPTION=''
if [ ! -f $FICHIERSOL ];then
	mkdir -p `dirname $FICHIERSOL`
	touch $FICHIERSOL
	python ${REPDEST}/eole/parasol.py -c -r $FICHIERSOL -f $RACINESOL -a $REPRACINE -o 
fi
python ${REPDEST}/eole/parasol.py -r $FICHIERSOL -f ${PATHSOL}_$REPDEST
if [ ! $? = 0 ]
then
	python ${REPDEST}/eole/parasol.py -r $FICHIERSOL -t
        if [ $? = 0 ]
 	then
               	python ${REPDEST}/eole/parasol.py -r $FICHIERSOL -f $PATHSOL -a $REPDEST -b 'True'
	fi
fi

CLASS=$1
[ -f ${REPDEST}/eole/mathenpoche${CLASS}.webapp ] && /usr/bin/prism -height 400 -width 400 -webapp ${REPDEST}/eole/mathenpoche${CLASS}.webapp || echo "pas de classe" 

